﻿$ErrorActionPreference = 'Stop';

$packageName= 'GnuCOBOL'
$distDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/gnucobol/files/gnucobol/3.1/gnucobol-3.1.1_win.zip/download'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $distDir
  fileType      = 'exe'
  url           = $url

  softwareName  = 'GnuCOBOL'

  checksum      = '8E69440A0CAAC9BE520642F7BFC3C1D9'
  checksumType  = 'md5'
}

Install-ChocolateyZipPackage @packageArgs